<?php

/**
 * @package     Sven.Bluege
 * @subpackage  com_eventgallery
 *
 * @copyright   Copyright (C) 2005 - 2019 Sven Bluege All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
namespace Svenbluege\Component\Eventgallery\Administrator\Model;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Model\ListModel;
use Joomla\CMS\Table\Table;
use Svenbluege\Component\Eventgallery\Administrator\Table\FolderTable;
use Svenbluege\Component\Eventgallery\Site\Library\Folder\GooglePhotosFolder;

defined('_JEXEC') or die();

class GooglephotossyncModel extends ListModel
{

    /**
     * Checks if the foldername esists in the database
     *
     * @param $foldername
     * @return bool true if the folder exists in the database
     */
    public function eventExists($foldername) {

        $db = Factory::getDbo();

        // update the file table
        $query = $db->getQuery(true)
            ->select('1')
            ->from($db->quoteName('#__eventgallery_folder'))
            ->where('folder=' . $db->quote($foldername));
        $db->setQuery($query);
        $db->execute();
        $affectedRows = $db->getAffectedRows();

        return $affectedRows>0?true: false;

    }

    public function addEvent($googlephotosaccountid, $album) {

        $db = Factory::getDbo();
        $db->setQuery('SELECT MAX(ordering) FROM #__eventgallery_folder');
        $max = $db->loadResult();

        /**
         * @var FolderTable $table
         */
        $table = $this->getMVCFactory()->createTable('Folder', 'Administrator');

        $user = Factory::getUser();

        $table->folder = $album->id;
        $table->description = $album->title;
        $table->googlephotosaccountid = $googlephotosaccountid;
        $table->published = 0;
        $table->userid = $user->id;
        $table->date = date('Y-m-d H:i:s');
        $table->created = date('Y-m-d H:i:s');
        $table->ordering = $max + 1;
        $table->foldertypeid = GooglePhotosFolder::ID;

        $table->store();


    }

}
