<?php
/**
 * @package     Sven.Bluege
 * @subpackage  com_eventgallery
 *
 * @copyright   Copyright (C) 2005 - 2019 Sven Bluege All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
namespace Svenbluege\Component\Eventgallery\Administrator\Model;
use Joomla\CMS\Form\FormFactoryInterface;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\CMS\Plugin\PluginHelper;
use Svenbluege\Component\Eventgallery\Administrator\Model\MethodsModel;
use Svenbluege\Component\Eventgallery\Site\Library\Factory\ShippingMethodFactory;
use Svenbluege\Component\Eventgallery\Site\Library\Factory\SurchargeMethodFactory;

defined('_JEXEC') or die();

class ShippingmethodsModel extends MethodsModel
{

    protected $table_name = '#__eventgallery_shippingmethod';

    protected $plugin_folder = 'eventgallery_ship';
    /**
     * @var ShippingMethodFactory
     */
    protected $methodFactory;

    function __construct($config = array(), MVCFactoryInterface $factory = null, FormFactoryInterface $formFactory = null)
    {
        $this->methodFactory =  ShippingMethodFactory::getInstance();
        parent::__construct($config, $factory, $formFactory);
    }

}
