<?php

/**
 * @package     Sven.Bluege
 * @subpackage  com_eventgallery
 *
 * @copyright   Copyright (C) 2005 - 2019 Sven Bluege All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

defined('_JEXEC') or die('Restricted access');
?>

<p><?php echo Text::_('COM_EVENTGALLERY_EMAILTEMPLATE_NOTE')?></p>

<form class="form-validate" action="<?php echo  Route::_('index.php?option=com_eventgallery&layout=edit&id='.(int) $this->item->id); ?>" method="POST" name="adminForm" id="adminForm">


    <?php echo $this->loadSnippet('formfields'); ?>
    <p></p>
    <div class="card">
        <div class="card-header">
            <h2><?php echo Text::_('COM_EVENTGALLERY_EMAILTEMPLATE_PREVIEW_LABEL'); ?></h2>
        </div>
        <div class="card-body">
            <div class="preview" id="preview"></div>
        </div>
    </div>
    <p></p>
    <div class="card">
        <div class="card-header">
            <h2><?php echo Text::_('COM_EVENTGALLERY_EMAILTEMPLATE_DEMODATA_LABEL'); ?></h2>
        </div>
        <div class="card-body">
            <pre><?php echo $this->escape(print_r($this->item->demodata, true)); ?></pre>
        </div>
    </div>




    <?php echo \Joomla\CMS\HTML\HTMLHelper::_('form.token'); ?>
    <input type="hidden" name="option" value="com_eventgallery" />
    <input type="hidden" name="id" value="<?php echo $this->item->id; ?>" />
    <input type="hidden" name="task" value="" />
</form>
<script type="text/javascript">

    (function() {
        var oReq = new XMLHttpRequest();

        function fillPreview () {
            var preview = document.getElementById('preview');
            preview.innerHTML = oReq.response;
        }

        oReq.addEventListener("load", fillPreview);
        oReq.open("GET", '<?php echo  Route::_('index.php?option=com_eventgallery&format=raw&view=emailtemplate&layout=preview&id='.$this->item->id, false);?>');
        oReq.send();
    })();


</script>
